happstack-server-7.1.7.1: Web related tools and services.

Safe Haskell | None

Happstack.Server.Internal.Handler

Synopsis

- request :: TimeoutIO -> Maybe (LogAccess UTCTime) -> Host -> (Request -> IO Response) -> IO ()
- parseResponse :: ByteString -> Either String Response
- putRequest :: Handle -> Request -> IO ()

# Documentation

request :: TimeoutIO -> Maybe (LogAccess UTCTime) -> Host -> (Request -> IO Response) -> IO ()

parseResponse :: ByteString -> Either String Response

Unserializes the bytestring into a response. If there is an error it will return `Left msg`.

putRequest :: Handle -> Request -> IO ()

Serializes the request to the given handle